@import 'node_modules/@angular/material/theming';
@import 'src/typography';

mat-card {
  @include mat-elevation(2);
  z-index: 2;
  width: 100%;

  ::ng-deep .mat-card-header-text {
    width: 100%;
    margin: 0;
  }

  cursor: pointer;

  .post-date {
    margin-right: 0.3rem;
    display: block;
    float: right;
    @include monospace-detail(0.7em);
  }
}

mat-card img {
  object-fit: cover;
  height: 35vh;
}

mat-card-content {
  display: flex;
}

mat-card-subtitle {
  @include monospace-detail;
}

.thumbs-down {
  padding-left: 1em;
}

.text-oneline {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.post-item {
  display: flex;
  padding-bottom: 1vh;
}

.event-status {
  font-weight: bold;
}

.rating {
  padding-right: 1vw;
}

.event-card-header {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;

  // HACK: magic numbers?
  font-size: 1.2em;
  font-weight: 500;

  .event-card-header-buttons {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
  }
}

.post-ratings {
  width: 100%;

  display: flex;
  flex-flow: row nowrap;

  .post-rating {
    display: inline-flex;
    flex-flow: row nowrap;
    align-items: center;

    margin: 0 5px;

    font-weight: 500;
    color: gray;

    mat-icon {
      margin-left: 2px;
    }
  }
}

.post-comments-number {
  display: inline-flex;
  flex-flow: row nowrap;
  align-items: center;

  margin: 0 5px;

  font-weight: 500;
  color: gray;

  mat-icon {
    margin-right: 2px;
  }
}

